Create lead
https://api.propexo.com/v1/leads/Create a lead for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the property
The first name associated with the lead
The last name associated with the lead
The Propexo unique identifier for the employee
An array of the Propexo unit IDs that the lead is interested in
Possible values: <= 25
The Propexo unique identifier for the unit
The number of additional occupants associated with the lead
Possible values: >= 0
The desired number of bathrooms
Possible values: >= 0
The desired number of bedrooms
The credit score of the lead
The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
Show 2 variants
The primary email address associated with the lead
Whether or not the lead has cats
Whether or not the lead has dogs
Whether or not the lead has pets that aren't dogs or cats
The maximum rent cost the lead is looking to pay, in cents
Possible values: >= 0
The monthly income of the lead, in cents
Possible values: >= 0
The middle initial of the lead
Possible values: non-empty and <= 1 characters
Primary phone number associated with the lead
The name of the source of the lead
The status associated with the lead
Show 4 enum values
ACTIVECOLDINACTIVEWAITLISTEDDeprecated. Use target_move_in_date instead.
Show 2 variants
Deprecated. Use desired_num_bathrooms instead.
Deprecated. Use desired_num_bedrooms instead.
Possible values: >= 0
The Propexo unique identifier for the lead source
The Propexo unique identifier for the lease period
Type of the primary phone number
Show 4 enum values
FAXHOMEMOBILEWORKThe middle name associated with the lead
Secondary phone number associated with the lead
Type of the secondary phone number
Show 4 enum values
FAXHOMEMOBILEWORKThe first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
The zip code associated with the lead
The minimum rent cost the lead is looking to pay, in cents
The number of occupants living in the unit
Notes associated with the lead
events object[]
A list of events to create for the new lead
The Propexo unique identifier for the employee
The Propexo unique identifier for the lead source
The Propexo unique identifier for the unit. Only some events use this, including "Show" and "Appointment".
The name or type of event. This has to be from a predefined set of events.
Show 13 enum values
CallToProspectCallFromProspectOtherWalkInChatEmailTextWebserviceAppointmentShowApplicationSelfGuidedTourApplicationThe date when the event will occur
Notes associated with the event
Possible values: <= 256 characters
The reasons for the event
The Propexo unique identifier for the address type
The amount of months for the lease term
The applicant status of the lead. This is optional and defaults to APPLICANT.
Show 3 enum values
APPLICANTCO_APPLICANTOCCUPANTThe country associated with the lead
The raw status associated with the lead
The desired type of unit
The Propexo unique identifier for the lead relationship
The date of birth associated with the lead
Show 2 variants
The Propexo unique identifier for the floor plan
A unique value provided to the PMS to uniquely identify the lead from your system.
Possible values: non-empty
The name of your organization. Yardi uses this for associating a lead
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/leads/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"job_id": "string",
"data": {}
}